Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class SSLContextSpi

    java.lang.Object
      |
      +--javax.net.ssl.SSLContextSpi

public abstract class SSLContextSpi
extends Object

This class defines the Service Provider Interface (SPI) for the `SSLContext` class.

All the abstract methods in this class must be implemented by each cryptographic service provider who wishes to supply the implementation of a particular SSL context.

Since:
  1.4
See Also:
  `SSLContext`

Constructor Summary
`SSLContextSpi()`

Method Summary
`protected abstract SSLSessionContext` | `engineGetClientSessionContext()` Returns a client `SSLSessionContext` object for this context.
`protected abstract SSLSessionContext` | `engineGetServerSessionContext()` Returns a server `SSLSessionContext` object for this context.
`protected abstract SSLServerSocketFactory` | `engineGetServerSocketFactory()` Returns a `ServerSocketFactory` object for this context.
`protected abstract SSLSocketFactory` | `engineGetSocketFactory()` Returns a `SocketFactory` object for this context.
`protected abstract void` | `engineInit(KeyManager[] km, TrustManager[] tm, SecureRandom sr)` Initializes this context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLContextSpi

    public SSLContextSpi()

Method Detail

### engineInit

    protected abstract void engineInit(KeyManager[] km,
                                       TrustManager[] tm,
                                       SecureRandom sr)
                                throws KeyManagementException

  Initializes this context.

  Parameters:
    `km` - the sources of authentication keys
    `tm` - the sources of peer authentication trust decisions
    `sr` - the source of randomness
  Throws:
    `KeyManagementException` - if this operation fails
  See Also:
    `SSLContext.init(KeyManager [], TrustManager [], SecureRandom)`

### engineGetSocketFactory

    protected abstract SSLSocketFactory engineGetSocketFactory()

  Returns a `SocketFactory` object for this context.

  Returns:
    the `SocketFactory` object
  See Also:
    `SSLContext.getSocketFactory()`

### engineGetServerSocketFactory

    protected abstract SSLServerSocketFactory engineGetServerSocketFactory()

  Returns a `ServerSocketFactory` object for this context.

  Returns:
    the `ServerSocketFactory` object
  See Also:
    `SSLContext.getServerSocketFactory()`

### engineGetServerSessionContext

    protected abstract SSLSessionContext engineGetServerSessionContext()

  Returns a server `SSLSessionContext` object for this context.

  Returns:
    the `SSLSessionContext` object
  See Also:
    `SSLContext.getServerSessionContext()`

### engineGetClientSessionContext

    protected abstract SSLSessionContext engineGetClientSessionContext()

  Returns a client `SSLSessionContext` object for this context.

  Returns:
    the `SSLSessionContext` object
  See Also:
    `SSLContext.getClientSessionContext()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.